You need to enable JavaScript to run this app.
导航
常见问题
最近更新时间:2024.06.06 15:35:41首次发布时间:2022.12.12 19:40:04

本文介绍您在使用云搜索服务中可能会遇到的问题,供您参考。

云搜索服务支持包年包月吗?

支持。关于云搜索服务的计费概述,请参见计费说明

支持按量计费转包年包月么?

支持。具体步骤,请参见按量计费转包年包月

包年包月实例可以取消么?

可以。包年包月实例支持 7 天无理由退订,退款规则详情请参见退订管理

使用 OpenSearch 2.9 Java SDK 连接实例时,报错"类文件具有错误的版本"

图片
使用 Java 连接 OpneSearch 实例,JDK 版本需要至少为 11,而在连接 ES 实例时 JDK 版本至少 1.8。
如果您的 JDK 版本太低,便会报错。您需要先升级 JDK 版本,才可以正常连接 OpenSearch 实例。

实例在几分钟之内,出现请求堆积,CPU 使用率达到 100%,所有请求几乎完全不可用的情况。

当请求突增时,几分钟之内出现上述情况的核心影响因素是:实例内部队列堆积线程过多
解决方案是从实例内部队列中拿出请求后,如果是 search 相关的请求,需要先判断已经在队列里等待的时间,超过一定时间(默认 10s),则失败返回,而不是继续执行。
支持您动态更新 search 队列中的超时时间。命令如下:

PUT _cluster/settings
{
    "persistent": {
        "thread_pool.search.queue_wait_timeout":"30s"
    }
}

如需了解可控延时队列的更多信息,请参见可控延时队列